Subject: [RPSEC] WG Action: RECHARTER: Routing Protocol Security Requirements (rpsec)

From: The IESG <[email-masked]>
Date: Wed, 24 Mar 2004 15:36:35 -0500

The charter of the Routing Protocol Security Requirements (rpsec) working group 
in the Routing Area of the IETF has been updated. For additional information, 
please contact the Area Directors or the working group Chairs.

Routing Protocol Security Requirements (rpsec)
----------------------------------------------

 Current Status: Active Working Group

 Chair(s):
     Tony Tauber <[email-masked]>
     Russ White <[email-masked]>

 Routing Area Director(s):
     Bill Fenner <[email-masked]>
     Alex Zinin <[email-masked]>

 Routing Area Advisor:
     Alex Zinin <[email-masked]>

 Mailing Lists:
     General Discussion: [email-masked]
     To Subscribe: [email-masked]
     In Body: (un)subscribe
     Archive: http://www1.ietf.org/mail-archive/working-groups/rpsec

 Description of Working Group:

 The lack of a common set of security requirements and methods for
 routing protocols has resulted in a wide variety of security
 mechanisms for individual routing protocols. Ongoing work on
 requirements for the next generation routing system and future work on
 the actual mechanisms for it will require well documented routing
 security requirements.

 The products of this working group will be used by routing protocol
 designers to ensure adequate coverage of security in the future,
 including well known and possible threats.

 The scope of work is limited to router-to-router protocols only for
 both unicast and multicast systems, and does NOT include
 host-to-router protocol such as IGMP, ICMP, ARP, or ND. It is also a
 non-goal at this point to produce new or change the current security
 mechanisms in the existing routing protocols.

 The RPSEC working group is charged with the following tasks:

 - Document threat models for routing systems

 - Document security requirements for routing systems

 - Document security analysis and requirements for specific routing
     protocols (e.g., OSPF, BGP)

 - Provide a common area for discussion between security and routing
     experts on the topic of securing the routing system

 Possible Future Work

 - Evaluate and document existing and proposed routing security
     mechanisms with respect to established RPSEC requirements

 - Recommend mechanism(s)

 Goals and Milestones:

Done Submit initial I-D (or set of I-Ds) which details the threats to routing systems.
Mar 04 Submit initial I-D (or set of I-Ds) which outlines security requirements for routing systems.
Mar 04 Submit initial I-D describing BGP Attack-Tree analysis.
Mar 04 Submit initial I-D describing OSPF vulnerability analysis.
May 04 Submit initial I-D describing BGP security requirements.
Done Submit I-Ds documenting threats to routing systems for publication as Informational RFC.
Jul 04 Submit the I-D documenting security requirements to routing systems for publication as Informational RFC.
Nov 04 Submit BGP Attack-Tree analysis for publication as Informational RFC.
Nov 04 Submit OSPF vulnerability analysis for publication as Informational RFC.
Mar 05 Submit BGP security requirements for publication as Informational RFC.
May 05 Evaluate progress, recharter with new goals (see possible future work above) or shutdown.

_______________________________________________
RPSEC mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rpsec